var http_request=false;
  function send_request(url){//???????????????????????????????
    http_request=false;
    //????????XMLHttpRequest????
    if(window.XMLHttpRequest){//Mozilla?????
     http_request=new XMLHttpRequest();
     if(http_request.overrideMimeType){//????MIME???
       http_request.overrideMimeType("text/xml");
     }
    }
    else if(window.ActiveXObject){//IE?????
     try{
      http_request=new ActiveXObject("Msxml2.XMLHttp");
     }catch(e){
      try{
      http_request=new ActiveXobject("Microsoft.XMLHttp");
      }catch(e){}
     }
    }
    if(!http_request){//??????????????????
     window.alert("????XMLHttp????????");
     return false;
    }
    http_request.onreadystatechange=processrequest;
    //??????????????URL????????????????p ~M(Lg6ki????
    http_request.open("GET",url,true);
    http_request.send(null);
  }
  //???????????????
  function processrequest(){
   if(http_request.readyState==4){//?§Ø??????
     if(http_request.status==200){//??????????????????????
      document.getElementById(reobj).innerHTML=http_request.responseText;
     }
     else{//??ÖÎ????
      alert("???????????ÖÎ??????");
     }
   }
  }
  function dopage(obj,url){
   document.getElementById(obj).innerHTML="<br><br><img src=\"/diy/images/loading.gif\">";
    reobj=obj;
   send_request(url);  
   }